org.apache.ignite.internal.visor.event

## Class VisorGridDiscoveryEventV2

- java.lang.Object
- - org.apache.ignite.internal.visor.event.VisorGridEvent
  - - org.apache.ignite.internal.visor.event.VisorGridDiscoveryEvent
    - - org.apache.ignite.internal.visor.event.VisorGridDiscoveryEventV2

All Implemented Interfaces:
  Serializable, LessNamingBean

    public class VisorGridDiscoveryEventV2
    extends VisorGridDiscoveryEvent

Lightweight counterpart for `DiscoveryEvent`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorGridDiscoveryEventV2(int typeId, IgniteUuid id, String name, UUID nid, long ts, String msg, String shortDisplay, UUID evtNodeId, String addr, boolean isDaemon, long topVer)` Create event with given parameters.

### Method Summary

Methods
`long` `topologyVersion()`
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.visor.event.VisorGridDiscoveryEvent

`address, evtNodeId, isDaemon`

### Methods inherited from class org.apache.ignite.internal.visor.event.VisorGridEvent

`id, message, name, nid, shortDisplay, timestamp, typeId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorGridDiscoveryEventV2

    public VisorGridDiscoveryEventV2(int typeId,
                             IgniteUuid id,
                             String name,
                             UUID nid,
                             long ts,
                             @Nullable
                             String msg,
                             String shortDisplay,
                             UUID evtNodeId,
                             String addr,
                             boolean isDaemon,
                             long topVer)

Create event with given parameters.

Parameters:
  `typeId` - Event type.
  `id` - Event id.
  `name` - Event name.
  `nid` - Event node ID.
  `ts` - Event timestamp.
  `msg` - Event message.
  `shortDisplay` - Shortened version of `toString()` result.
  `evtNodeId` - Event node id.
  `addr` - Event node address.
  `isDaemon` - If event node is daemon on not.
  `topVer` - Topology version.

### Method Detail

#### topologyVersion

    public long topologyVersion()

Returns:
  Topology version or `0` if configured discovery SPI implementation does not support versioning.

#### toString

    public String toString()

Overrides:
  `toString` in class `VisorGridDiscoveryEvent`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.8.0
Release Date | : December 5 2016